
ChiliProject - Bug # 469: Wong URL for WIKI activity entries in 2.0.0rc2

Status: Closed Priority: Normal
Author: Artem Naluzhnyy Category: Journals / History
Created: 2011-06-11 Assignee:
Updated: 2011-06-16 Due date:
Remote issue URL:
Affected version: unstable
Description: Should be <pre>/projects/test-project/wiki/Wiki?version=12</pre> but now it is 

<pre>/wiki/113/Wiki?version=12</pre>

Reverting @event_url@ helps:
<pre>
--- app/models/wiki_content.rb.orig        2011-06-10 23:36:19.000000000 +0300
+++ app/models/wiki_content.rb 2011-06-12 00:42:56.000000000 +0300
@@ -25,7 +25,7 @@

   acts_as_journalized :event_type => 'wiki-page',
     :event_title => Proc.new {|o| "#{l(:label_wiki_edit)}: #{o.page.title} (##{o.version})"},
-    :event_url => Proc.new {|o| {:controller => 'wiki', :id => o.page.wiki.project_id, :page => o.page.title, 
:version => o.version}},
+    :event_url => Proc.new {|o| {:controller => 'wiki', :action => 'show', :id => o.page.title, :project_id => 
o.page.wiki.project, :version => o.version}},
     :activity_type => 'wiki_edits',
     :activity_permission => :view_wiki_edits,
     :activity_find_options => { :include => { :page => { :wiki => :project } } }
</pre>

Associated revisions
2011-06-16 08:56 pm - Felix SchÃ¤fer 
Fix the wiki links in the activity view. #469

Contributed by Artem Naluzhnyy.

History
2011-06-16 06:57 pm - Felix Schäfer
- Status changed from Open to Closed

Committed in commit:85c3d38d240fec3dd19243c9221952358993a6e0, thanks!
